## Settings file was created by plugin Janky-HollywoodFX v1.8.3
## Plugin GUID: com.janky.hollywoodfx

[00. General]

## Use a preset template for the HFX settings. Requires restarting the game to ensure all the settings take effect.
# Setting type: String
# Default value: 
Load Template (RESTART) = 

[01. Impact Effects]

## Scales the size of impact effects.
# Setting type: Single
# Default value: 0.75
# Acceptable value range: From 0.1 to 5
Impact Effect Size v1 = 0.75

## Toggles special impact effects for tracer rounds.
# Setting type: Boolean
# Default value: true
Enable Tracer Round Impacts = true

[02. Explosion FX]

## Adjusts the density of fireballs. Large values may have a performance impact
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Fireball Density = 1

## Adjusts the density of debris and sparks. Large values may have a performance impact
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Debris Density = 1

## Adjusts the density of debris and sparks. Large values may have a performance impact
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Smoke Density (CPU HEAVY) = 1

## Adjusts the density of debris and sparks. Large values may have a performance impact
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Sparks Density (CPU HEAVY) = 1

## Adjusts the density of debris and sparks. Large values may have a performance impact
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Dust Density (CPU HEAVY) = 1

## Adjusts the resolution and fidelity of confinement detection and other aspects of explosions. Lower values are less CPU intensive.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0.1 to 1
Compute Fidelity (RESTART) = 1

[03. Muzzle Blast Effects]

## Toggles new muzzle blast effects.
# Setting type: Boolean
# Default value: true
Enable Muzzle Effects (RESTART) = true

## Adjusts the size of the muzzle flame jets.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Muzzle Jet Size = 1

## Adjusts the size of the muzzle sparks.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Muzzle Sparks Size = 1

## Adjusts the amount of muzzle sparks generated.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0.1 to 10
Muzzle Sparks Emission Rate (RESTART) = 1

## Adjusts the size of the muzzle smoke.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Muzzle Smoke Size = 1

## Adjusts the amount of muzzle smoke generated. If you are looking to hotbox with some scavs, set it to 3 or something.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0.1 to 10
Muzzle Smoke Emission Rate (RESTART) = 1

## Toggles shadow casting for muzzle lights.
# Setting type: Boolean
# Default value: true
Enable Muzzle Light Shadow (RESTART) = true

[04. Ambient Battle Effects (RESTART)]

## Enable the depth of field effect when using magnifying optics.
# Setting type: Boolean
# Default value: false
Enable Scope DoF = false

## Scales the intensity of the scope depth of field effect.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 5
Scope DoF Intensity = 1

## Toggles concussion screen effects.
# Setting type: Boolean
# Default value: true
Enable Concussion FX = true

## Scales the duration of concussion effects. Larger numbers will result in longer lasting concussion.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Concussion Duration = 1

## Scales the range of concussion effects. Larger numbers will cause concussion from further away.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Concussion Range = 1

## Toggles suppression screen effects.
# Setting type: Boolean
# Default value: true
Enable Suppression FX = true

## Scales the duration of concussion effects. Larger numbers will result in longer lasting concussion.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Suppression Duration = 1

## Scales the range of concussion effects. Larger numbers will cause concussion from further away.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Suppression Range = 1

## Scales the intensity of battle blur from concussion and suppression effects.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Battle Blur Intensity = 1

## Ambient battle effects are simulated in this range around the player, even if not immediately visible. Helps create ambience from bot fights.
# Setting type: Single
# Default value: 25
# Acceptable value range: From 0 to 250
Forced Simulation Range = 25

## Adjusts the density of ambient effects. The bigger this number, the denser the smoke, debris, glitter etc...
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0.1 to 5
Ambient Effect Emission Rate = 1

## Scales the internal limits on the number of active particles. Since there are different limits for different components, this scales everything proportionally.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0.1 to 5
Ambient Effect Particle Limit = 1

## Scales the internal lifetime of particles. Since there are different limits for different components, this scales everything proportionally.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0.1 to 5
Ambient Effect Particle Lifetime = 1

[05. Gore Emission v1 (RESTART)]

## Toggles whether gore effects are rendered at all. When toggled off, only the default BSG blood effects will show.
# Setting type: Boolean
# Default value: true
Enable Gore Effects = true

## Adjusts the quantity of mists & puffs of blood.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 5
Blood Mist Emission Rate = 1

## Adjusts the quantity of fine blood spray particles. Reduce if you get stutters. Above 1 gets quite CPU heavy.
# Setting type: Single
# Default value: 0.5
# Acceptable value range: From 0 to 5
Blood Spray Emission Rate = 0.5

## Adjusts the quantity of the blood squirt particles. Reduce if you get stutters. Above 1 gets quite CPU heavy.
# Setting type: Single
# Default value: 0.5
# Acceptable value range: From 0 to 5
Squirt Emission Rate = 0.5

## Adjusts the quantity of particles in finisher effects. Reduce if you get stutters. Above 1 gets quite CPU heavy.
# Setting type: Single
# Default value: 0.5
# Acceptable value range: From 0 to 5
Finisher Emission Rate = 0.5

## Adjusts the quantity of particles in arterial bleed effects. Reduce if you get stutters. Above 2 gets quite CPU heavy.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 5
Arterial Bleed Emission Rate = 1

[06. Gore Size]

## Adjusts the size of blood mists/puffs.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 5
Mist Size = 1

## Adjusts the size of fine blood sprays.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 5
Spray Size = 1

## Adjusts the size of the blood squirts.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 5
Squirt Size = 1

## Adjusts the size of the gore generated by finisher shots.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 5
Finisher Gore Size = 1

## Adjusts the size of the gore generated by arterial bleeds.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 5
Arterial Bleed Size = 1

[07. Gore Decals]

## Toggles the new blood splashes appearing on bodies. If toggled off, you'll get the barely visible EFT default wound effects. Philistine.
# Setting type: Boolean
# Default value: true
Wound Decals on Bodies = true

## Adjusts the size of the wound decals that appear on bodies.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 5
Wound Decal Size = 1

## Toggles the new blood splashes appearing on the environment for penetrating hits. If toggled off, you'll get the shonky EFT defaults. Philistine.
# Setting type: Boolean
# Default value: true
Blood Splatter on Environment = true

## Adjusts the size of the blood splatters on the environment.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 5
Blood Splatter Decal Size = 1

[08. Ragdoll Effects (DISABLED BY VISCERAL COMBAT)]

## Toggles whether ragdoll effects will be enabled.
# Setting type: Boolean
# Default value: true
# Acceptable values: False, True
Enable Ragdoll Effects (RESTART) = true

## Adjusts the skeletal and joint characteristics of ragdolls for a more Cinematic (TM) experience.
# Setting type: Boolean
# Default value: true
# Acceptable values: False, True
Enable Cinematic Ragdolls (RESTART) = true

## Toggles the enemies dropping their weapon on death.
# Setting type: Boolean
# Default value: true
# Acceptable values: False, True
Drop Weapon on Death (RESTART) = true

## Multiplies the force that is applied to ragdolls when enemies die.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 100
Ragdoll Force Multiplier = 1

[09. Miscellaneous Flotsam]

## Toggles whether to override the built-in decal limits. If you have this enabled in Visceral Combat, you can disable it here.
# Setting type: Boolean
# Default value: true
Enable Decal Limit Adjustment (RESTART) = true

## Adjusts the maximum number of decals that the game will render. The vanilla number is a puny 200.
# Setting type: Int32
# Default value: 2048
# Acceptable value range: From 1 to 2048
Decal Limits (RESTART) = 2048

## How long do spent shells stay on the ground before despawning (game default is 1 second).
# Setting type: Single
# Default value: 60
# Acceptable value range: From 0 to 3600
Spent Shells Lifetime (seconds) = 60

## Adjusts the size of spent shells multiplicatively (2 means 2x the size).
# Setting type: Single
# Default value: 1.5
# Acceptable value range: From 0 to 10
Spent Shells Size = 1.5

## Adjusts the velocity of the spent shells multiplicatively (2 means 2x the speed).
# Setting type: Single
# Default value: 1.5
# Acceptable value range: From 0 to 10
Shell Ejection Velocity = 1.5

## Toggles whether to enhance the spent shell physics, resulting in finer grained simulation of bouncing and rolling.
# Setting type: Boolean
# Default value: true
Enhanced Shell Physics (RESTART) = true

[10. Graphics]

## Positive values force higher quality effect textures at a distance. Numbers above 4 can have *heavy*VRAM impact and cause stuttering.
# Setting type: Single
# Default value: 0
# Acceptable value range: From 0 to 10
Effect Quality Bias = 0

[11. Whimsy]

## Scales the overall kinetic energy, impulse, etc.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0 to 10
Bullet Kinetics Scaling = 1

## Nunc est Bibendum.
# Setting type: Boolean
# Default value: false
AcidPhantasm Michelin Man Mode = false

## Made you look.
# Setting type: Boolean
# Default value: false
Peen = false

[12. Debug]

## Duh. Requires restarting the game to take effect.
# Setting type: Boolean
# Default value: false
Enable Debug Logging (RESTART) = false

